package org.teleal.cling.support.messagebox.model;

import org.teleal.cling.support.messagebox.parser.MessageElement;

/**
 * @author Christian Bauer
 */
public class NumberName implements ElementAppender {

    private String number;
    private String name;

    public NumberName(String number, String name) {
        this.number = number;
        this.name = name;
    }

    public String getNumber() {
        return number;
    }

    public String getName() {
        return name;
    }

    public void appendMessageElements(MessageElement parent) {
        parent.createChild("Number").setContent(getNumber());
        parent.createChild("Name").setContent(getName());
    }
}
